import Utils from './utils/common'
import Api from './utils/wxApi'
import Vue from 'vue'

class ModoUI {

    // 默认配置
    conifg = {
        debug: true, // 是否打开调试模式
        host: 'https://mp.xiaomodo.com',
        baseUrl: '/spa-manager/api',
        appType: 'wx_app',
        usertype: "tech",
    }

    Utils = new Utils()
    Api = new Api()
    Hub = new Vue()

    constructor() {
        this.init()
    }

    init(host, baseUrl, appType, usertype) {
        this.conifg.host = host
        this.conifg.baseUrl = baseUrl
        this.conifg.appType = appType
        this.conifg.usertype = usertype
        this.Utils.init(host, baseUrl, appType, usertype)
    }
}

export default new ModoUI()